Spaces method and path for this operation:
get /s/{space_id}/api/endpoint/action/{action_id}/file/{file_id}
Refer to Spaces for more information.
Get information for the specified response action file download.
Path parameters
-
The ID of the response action that generated the file.
-
The file identifier is constructed in one of two ways:
- For Elastic Defend agents (
agentTypeofendpoint): combine theaction_idandagent_idvalues using a dot (.) separator:{file_id}={action_id}.{agent_id} - For all other agent types: the
file_idis theagent_idfor which the response action was sent to.
- For Elastic Defend agents (
GET
/api/endpoint/action/{action_id}/file/{file_id}
curl \
--request GET 'https://<KIBANA_URL>/api/endpoint/action/{action_id}/file/{file_id}' \
--header "Authorization: $API_KEY"
Response examples (200)
{
"data": {
"actionId": "233db9ea-6733-4849-9226-5a7039c7161d",
"agentId": "ed518850-681a-4d60-bb98-e22640cae2a8",
"agentType": "endpoint",
"created": "2025-02-26T13:37:30.452Z",
"id": "233db9ea-6733-4849-9226-5a7039c7161d.ed518850-681a-4d60-bb98-e22640cae2a8",
"mimeType": "application/zip",
"name": "memory_dump.zip",
"size": 1048576,
"status": "READY"
}
}